Subject: RE: Re: MPLS PWs over IP: Text for draft-ietf-pwe3-control -protocol-04.txt

From: Sasha Vainshtein <[email-masked]>
Date: Wed, 3 Dec 2003 16:44:52 +0200

Stewart and all,

Since you are giving "others" time to respond:

I also think that the relevant text in 
draft-ietf-pwe3-control-protocol-04.txt 
should remain "as is".

My 2c.

With best regards,
                                   Sasha Vainshtein
email:     [email-masked] <mailto:[email-masked]> 
tel:       +972-3-7659993 (office)
           +972-8-9254948 (res.)
           +972-58-674833 (cell.)

> -----Original Message-----
> From: Stewart Bryant [mailto:[email-masked]]
> Sent: Wednesday, December 03, 2003 3:10 PM
> To: Yakov Rekhter
> Cc: Rahul Aggarwal; Luca Martini; Kireeti Kompella; W. Mark 
> Townsley; Eric Rosen (erosen); [email-masked]
> Subject: Re: [PWE3] Re: MPLS PWs over IP: Text for 
> draft-ietf-pwe3-control-protocol-04.txt
> 
> 
> 
> 
> Yakov Rekhter wrote:
> 
> > Stewart,
> > 
> > 
> >>Rahul Aggarwal wrote:
> >>
> >>
> >>>Hi Luca,
> >>>
> >>>How about:
> >>>
> >>>1. >From the current draft-ietf-pwe3-control-protocol-:
> >>>
> >>>   In the protocol specified herein, the pseudowire 
> demultiplexor field
> >>>   is an MPLS label.  Thus the packets which are 
> transmitted from one
> >>>   end of the pseudowire to the other are MPLS packets.  Unless the
> >>>   pseudowire endpoints are immediately adjacent, these 
> MPLS packets
> >>>   must be transmitted through a PSN tunnel.  Any sort of 
> PSN tunnel can
> >>>   be used, as long as it is possible to transmit MPLS 
> packets through
> >>>   it.  The PSN tunnel can itself be an LSP, but it could 
> equally well
> >>>   be an IP tunnel, a GRE tunnel, an IPsec tunnel, or any 
> other sort of
> >>>   tunnel which can carry MPLS packets. Procedures for 
> setting up and
> >>>   maintaining the PSN tunnels are outside the scope of 
> this document.
> >>>
> >>>Can we replace the last sentence in the above with the following:
> >>>
> >>>   Procedures for setting up and maintaining the PSN 
> tunnels with GRE
> >>>   or IP are specified in [MPLS-OVER-IP-GRE].
> >>
> >>The new text is prescriptive about MPLS-OVER-IP-GRE being 
> THE method.
> > 
> > 
> > Let's look at the proposed text again:
> > 
> >      Procedures for setting up and maintaining the PSN 
> tunnels with GRE
> >      or IP are specified in [MPLS-OVER-IP-GRE].
> > 
> > The new text is prescriptive about MPLS-OVER-IP-GRE being 
> THE method,
> > *but only* when the tunnel is GRE or IP.
> > 
> > On the other hand, the new text is *not* prescriptive about 
> MPLS-OVER-IP-GRE
> > being the only way to carry MPLS packets through non-MPLS 
> IP networks.
> > 
> > 
> >>Do we have WG concensus for that?
> > 
> > 
> > In view of the above could you please be more specific about what
> > do you mean by "that".
> > 
> 
> Yakov
> 
> What I said last time was :
> 
> "The new text is prescriptive about MPLS-OVER-IP-GRE being THE method.
> Do we have WG consensus for that?"
> 
> Which I took to mean:
> 
> "Do we have WG consensus to make MPLS-OVER-IP-GRE the method
> for carrying PW over ((IP) or (GRE over IP))"
> 
> The use of the term IP in this context is a little confusing
> because we mean "IP without transport or other adaptation layer"
> (IPsec and L2TP both run over IP).
> 
> Looking at the responses to the thread, I detect that there
> is consensus for leaving the text as it is, but note
> that we need to give others time to respond.
> 
> Stewart
> 
> 
> 
> 
> 
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
>